Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1066163 - rhn-custom-info man page is incomplete.
Summary: rhn-custom-info man page is incomplete.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space22
TreeView+ depends on / blocked
 
Reported: 2014-02-17 21:42 UTC by Dimitar Yordanov
Modified: 2014-07-17 08:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 08:41:46 UTC
Embargoed:


Attachments (Terms of Use)
patch (deleted)
2014-02-17 21:59 UTC, Dimitar Yordanov
no flags Details | Diff

Description Dimitar Yordanov 2014-02-17 21:42:54 UTC
Description of problem:
rhn-custom-info man page is incomplete.

Version-Release number of selected component (if applicable):
rhn-custom-info-5.4.22-1

How reproducible:
100%

Steps to Reproduce:
1.#rhn-custom-info --help
Usage: rhncustominfo [options] key1 value1 key2 value2 ...

Options:
  -h, --help            show this help message and exit
  -u RHN_LOGIN, --username=RHN_LOGIN
                        your RHN username
  -p RHN_PASSWD, --password=RHN_PASSWD
                        your RHN password
  -s URL, --server-url=URL
                        use the rhn api at URL
  -d, --delete-values   delete one or multiple custom keys from the system
  -l, --list-values     list the custom keys and values for the system

2. man rhn-custom-info

Actual results:
-d, --delete-values  is missing in the man page.

Additional info:
See: SW:4defa067792adca015dd6470d3b7e33ec0d31195

Comment 1 Dimitar Yordanov 2014-02-17 21:59:56 UTC
Created attachment 864302 [details]
patch

Comment 2 Dimitar Yordanov 2014-04-10 11:23:02 UTC
Fixed by SW: 14425807df7af6c5bf12fb3effa498c9f17ea1fb

Comment 3 Milan Zázrivec 2014-07-17 08:41:46 UTC
Spacewalk 2.2 has been released:

    https://fedorahosted.org/spacewalk/wiki/ReleaseNotes22


Note You need to log in before you can comment on or make changes to this bug.